def as_view(request, *args, **kwargs):
    from rest_framework_simplejwt.views import token_verify
    from rest_framework.request import Request
    from users.utils.interfaces import Response
    from rest_framework.exceptions import ValidationError

    dj_request = request._request if isinstance(request, Request) else request
    rslt = token_verify(dj_request, *args, **kwargs)

    if rslt.status_code == 400:
        raise ValidationError({'token': 'required.'})

    ret = Response(status_code=rslt.status_code)
    return ret
